| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Enumerations
protocol.h File Reference

## Classes

class | wxProtocol
| Represents a protocol for use with wxURL. More...

## Enumerations

enum | wxProtocolError { wxPROTO_NOERR = 0, wxPROTO_NETERR, wxPROTO_PROTERR, wxPROTO_CONNERR, wxPROTO_INVVAL, wxPROTO_NOHNDLR, wxPROTO_NOFILE, wxPROTO_ABRT, wxPROTO_RCNCT, wxPROTO_STREAMING }
| Error values returned by wxProtocol. More...

## Enumeration Type Documentation

enum wxProtocolError

Error values returned by wxProtocol.

Enumerator:

  wxPROTO_NOERR | No error.
  wxPROTO_NETERR | A generic network error occurred.
  wxPROTO_PROTERR | An error occurred during negotiation.
  wxPROTO_CONNERR | The client failed to connect the server.
  wxPROTO_INVVAL | Invalid value.
  wxPROTO_NOHNDLR | Not currently used.
  wxPROTO_NOFILE | The remote file doesn't exist.
  wxPROTO_ABRT | Last action aborted.
  wxPROTO_RCNCT | An error occurred during reconnection.
  wxPROTO_STREAMING | Someone tried to send a command during a transfer.